package cn.com.ty.portal.service;

import cn.com.ty.portal.controller.dto.RoleListModel;
import cn.com.ty.portal.dao.entity.SysRole;
import cn.com.ty.portal.dao.mapper.RoleMapper;
import cn.com.xwy.boot.service.impl.BaseServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Slf4j
@Service
public class RoleService extends BaseServiceImpl<RoleMapper, SysRole> {

    public IPage<SysRole> queryList(RoleListModel model){
        QueryWrapper<SysRole> queryWrapper = getQueryWrapper();
        LambdaQueryWrapper<SysRole> lambdaQueryWrapper = queryWrapper.lambda();
        if (Objects.nonNull(model.getRoleCode())){
            lambdaQueryWrapper.like(SysRole::getRoleCode,model.getRoleCode());
        }
        if (Objects.nonNull(model.getRoleName())){
            lambdaQueryWrapper.like(SysRole::getRoleName,model.getRoleName());
        }
        return this.page(getPage(model), queryWrapper);
    }

    public String addRole(){
        SysRole role = new SysRole();
        role.setRoleCode("TEST_ROLE")
                .setId(25)
                .setRoleName("测试角色")
                .setRoleDesc("测试");
        boolean b = this.saveOrUpdate(role);
        return b? "success" : "false";
    }

    public String deleteRole(){
        return this.removeById(25) ? "success" : "false";
    }

}
