package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.system.entity.model.UserRequest;
import cn.com.ty.lift.system.entity.model.UserResponse;
import cn.com.ty.lift.system.user.service.IUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户管理
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private IUserService userService;

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求类
     * @return
     */
    @RequestMapping("/list")
    public RestResponse list(UserRequest userRequest){
        List<UserResponse> userResponseList = userService.list(userRequest);
        return RestResponse.ok(userResponseList, ApiConstants.RESULT_SUCCESS, "获取用户信息成功");
    }

    /**
     * @description 添加用户
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @PostMapping("/addUser")
    public RestResponse addUser(UserRequest userRequest){
        return userService.addUser(userRequest);
    }

    /**
     * @description 更新用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @PostMapping("/updateUser")
    public RestResponse updateUser(UserRequest userRequest){
        return userService.updateUser(userRequest);
    }

    /**
     * @description 删除用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @RequestMapping("/deleteUser")
    public RestResponse deleteUser(UserRequest userRequest){
        return userService.deleteUser(userRequest);
    }
}
